Skip to content

Retrieve all contracts

Error

This is a mockup. It is not implemented yet!!!!

Endpoint return information about all NFT contracts

Endpoint: GET

https://{{HOST}}/api/v1/nft/contracts/

Example

curl \
--location --request GET 'https://test-into-api.sso-tisa.com/api/v1/nft/contracts/' \
--header 'Content-Type: application/json' 

Returns

[
    {
        "address": "string",
        "name": "string",
        "symbol": "string",
        "chain": "MATIC",
        "description": "string"|null,
        "image": "string"|null,
        "media": [
            {
                "type": "audio|image",
                "value": "string"
            }
        ],
        "is_confirmed": "bool",
        "transaction_hash": "string"
    },
    {
        "address": "string",
        "name": "string",
        "symbol": "string",
        "chain": "MATIC",
        "description": "string"|null,
        "image": "string"|null,
        "media": [
            {
                "type": "audio|image",
                "value": "string"
            }
        ],
        "is_confirmed": "bool",
        "transaction_hash": "string"
    }
    ...
]

Advanced

Info

For more object describes the properties of an NFT contract please read : Object reference